View Issue Details

IDProjectCategoryView StatusLast Update
15931Bug reportsInstallationpublic2020-04-14 12:53
Reportersurveyunihi Assigned Toc_schmitz  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.7 
Fixed in Version4.1.17 
Summary15931: Custom table-prefix ignored
Description

I want to use several versions of LimeSurvey in one database by setting custom tableprefixes - this worked so far. The first (oldest) version was installed using the default table-prefix "lime".

While trying to install Version 4.1.7:
A custom table-prefix stated in installation step 4 "Configuration" is ignored in installation step 5 "Database settings". Instead, the default table-prefix "lime_" is used, causing a conflict with the oldest version.

Steps To Reproduce

You need a database with an existing LimeSurvey-Installation using the default table-prefix "lime_".

Start a new installation using this database.

During installation step 4 "Configuration", set a custom table-prefix, e.g. "lime4_" (see LimeSurvey_error1.png).

In installation step 5 "Configuration", the message "Database already exists, do you want to create necessary tables?" is confirmed (see LimeSurvey_error2.png).

=> Errormessage "Table 'lime_answers' already exists" (see LimeSurvey_error3.png)

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey4.1.7+200224
I will donate to the project if issue is resolvedNo
BrowserFirefox 73.0.1
Database & DB-VersionMySQL 5.7.29-0ubuntu0.18.04.1 - (Ubuntu)
Server OS (if known)
Webserver software & version (if known) Apache/2.4.29 (Ubuntu) Datenbase-Client Version: libmysql - mysqlnd 5.0.12-dev - 20150407
PHP Version7.2.24-0ubuntu0.18.04.3

Activities

surveyunihi

surveyunihi

2020-02-28 11:05

reporter  

LimeSurvey_error2.PNG (32,279 bytes)   
LimeSurvey_error2.PNG (32,279 bytes)   
LimeSurvey_error1.PNG (49,592 bytes)   
LimeSurvey_error1.PNG (49,592 bytes)   
LimeSurvey_error3.PNG (23,229 bytes)   
LimeSurvey_error3.PNG (23,229 bytes)   
c_schmitz

c_schmitz

2020-04-08 11:32

administrator   ~57023

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29816

lime_release_bot

lime_release_bot

2020-04-14 12:53

administrator   ~57116

Fixed in Release 4.1.17+200414

Related Changesets

LimeSurvey: master 4affb804

2020-04-08 11:31:54

c_schmitz

Details Diff
Fixed issue 15931: Custom table-prefix ignored on installation Affected Issues
15931
mod - application/commands/InstallCommand.php Diff File
mod - application/commands/InstallFromConfigCommand.php Diff File
mod - application/controllers/InstallerController.php Diff File
mod - application/models/InstallerConfigForm.php Diff File
mod - installer/create-database.php Diff File

Issue History

Date Modified Username Field Change
2020-02-28 11:05 surveyunihi New Issue
2020-02-28 11:05 surveyunihi File Added: LimeSurvey_error2.PNG
2020-02-28 11:05 surveyunihi File Added: LimeSurvey_error1.PNG
2020-02-28 11:05 surveyunihi File Added: LimeSurvey_error3.PNG
2020-04-07 18:47 cdorin Assigned To => c_schmitz
2020-04-07 18:47 cdorin Status new => assigned
2020-04-08 11:32 c_schmitz Changeset attached => LimeSurvey master 4affb804
2020-04-08 11:32 c_schmitz Note Added: 57023
2020-04-08 11:32 c_schmitz Resolution open => fixed
2020-04-08 11:33 c_schmitz Status assigned => resolved
2020-04-08 11:33 c_schmitz Fixed in Version => 4.1.17
2020-04-14 12:53 lime_release_bot Note Added: 57116
2020-04-14 12:53 lime_release_bot Status resolved => closed